Index: PostgreSqlDotnetCore/Controllers/BlogController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -44,5 +44,5 @@
             // query
             var query = from st in db.BlogPostAnswersObj
-                        where st.blogpostconsultationid == blogClass.id
+                        where st.BlogPostConsultationid == blogClass.id
                         select st;
             //elenaaa
Index: PostgreSqlDotnetCore/Controllers/PetCaresController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/PetCaresController.cs	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Controllers/PetCaresController.cs	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -130,5 +130,36 @@
 
         // GET: Customer/Edit/5
-        public ActionResult Edit(int? id)
+        /*  public ActionResult Edit(int? id)
+          {
+              if (id == null)
+              {
+                  return RedirectToAction("NotExist", "Error");
+              }
+              Pet_CaresClass peClass = db.PetCaresObj.Find(id);
+              if (peClass == null)
+              {
+                  return RedirectToAction("NotExist", "Error");
+              }
+
+
+              return View(peClass);
+          }*/
+        // GET: Customer/Edit/5
+        /* public  ActionResult Edit(int? id)
+         {
+             if (id == null)
+             {
+                 return RedirectToAction("NotExist", "Error");
+             }
+             Pet_CaresClass peClass = db.PetCaresObj.Find(id);
+             if (peClass == null)
+             {
+                 return RedirectToAction("NotExist", "Error");
+             }
+
+
+             return View(peClass);
+         }*/
+        public async Task<ActionResult> Edit(int? id)
         {
             if (id == null)
@@ -136,11 +167,18 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            Pet_CaresClass peClass = db.PetCaresObj.Find(id);
+
+            Pet_CaresClass peClass = await db.PetCaresObj.FindAsync(id);
             if (peClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-            return View(peClass);
-        }
+
+            var vetCenters = await db.VetCentersObj.ToListAsync();
+            ViewBag.VetCenters = new SelectList(vetCenters, "id", "name", peClass.vetcentersid);
+
+            return View(peClass);
+        }
+
+
 
         // POST: Customer/Edit/5
@@ -149,5 +187,5 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> EditAsync([Bind(include: "id,title,description,dateending, start_date vetcentersid")] Pet_CaresClass peClass)
+        public async Task<ActionResult> EditAsync([Bind(include: "id,title,description,dateending, vetcentersid")] Pet_CaresClass peClass)
         {
             bool isAuthenticated = User.Identity.IsAuthenticated;
@@ -156,9 +194,8 @@
                 return RedirectToAction("AccessDenied", "Error");
             }
-             
+
             if (ModelState.IsValid)
             {
                 peClass.dateending = DateTime.SpecifyKind(peClass.dateending, DateTimeKind.Utc);
-                peClass.start_date = DateTime.SpecifyKind(peClass.start_date, DateTimeKind.Utc);
                 var user = await _userManager.GetUserAsync(User);
                 var customerClass = db.CustomerObj.SingleOrDefault(x => x.email == user.Email);
@@ -171,4 +208,7 @@
         }
 
+
+
+
         // GET: Customer/Delete/5
         public ActionResult Delete(int? id)
Index: PostgreSqlDotnetCore/Controllers/PetsController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/PetsController.cs	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Controllers/PetsController.cs	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -73,5 +73,5 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> CreateAsync([Bind(include: "id,color,description,dateofbirthday, usersid,typeofpetsid")] PetsClass peClass)
+        public async Task<ActionResult> CreateAsync([Bind(include: "id,name,color,description,dateofbirthday, usersid,typeofpetsid")] PetsClass peClass)
         {
             bool isAuthenticated = User.Identity.IsAuthenticated;
@@ -116,5 +116,5 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> EditAsync([Bind(include: "id,color,description,dateofbirthday, usersid,typeofpetsid")] PetsClass peClass)
+        public async Task<ActionResult> EditAsync([Bind(include: "id,name, color,description,dateofbirthday, usersid,typeofpetsid")] PetsClass peClass)
         {
             bool isAuthenticated = User.Identity.IsAuthenticated;
